Subject: Re: [PATCH net-next 02/15] net: phylink: add phylink_pcs_inband()

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 15 Jun 2022 19:07:32 +0100

On Wed, Jun 15, 2022 at 10:46:52AM -0700, Jakub Kicinski wrote:
> On Wed, 15 Jun 2022 09:16:54 +0100 Russell King (Oracle) wrote:
> > > Patch 1 does not need to be backported so I presume it can lose the
> > > fixes tag?  
> > 
> > As the commit talks about fixing something, in my experience the commit
> > will get automatically selected for backporting to stable trees whether
> > or not it has a fixes tag on it. The only way to stop that happening is
> > not through avoiding a fixes tag, but to keep on top of the stable tree
> > emails to stop patches being backported that don't need to be.
> > 
> > If you still want me to remove it, I will, but I predict it will still
> > be backported.
> 
> Fair, but the argument is not very... "clean", if you will. I read the
> argument as "the unwelcome thing is likely to happen anyway, so doesn't
> matter". But Fixes serves no purpose here, since we don't expect the
> backport. So we are defaulting to adding something useless on the basis
> of it not making things worse?

I think it's a point of view; I do absolutely expect the backport to
happen irrespective of whether there's a Fixes there or not - which
I base on all the patches that have been automatically selected
seemingly just because the commit message talks about fixing something.

I am up for trying an experiment - I'll get rid of the Fixes: tag, and
we'll see whether -stable picks the patch up anyway!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!